"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c79da0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c79e40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c79ee0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c79f80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a020>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a0c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a160>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a200>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a2a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a340>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a3e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a480>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a520>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a5c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a660>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a700>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a7a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a840>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a8e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7a980>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7aa20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7aac0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7ab60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7ac00>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7aca0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7ad40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7ade0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7ae80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7af20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7afc0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b060>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b100>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b1a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b240>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b2e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b380>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b420>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b4c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b560>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b600>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b6a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b740>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b7e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b880>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b920>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7b9c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7ba60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7bb00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7bba0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7bc40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7bce0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7bd80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7be20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7bec0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172c7bf60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb00e0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0180>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0220>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb02c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0360>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0400>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb04a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0540>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb05e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0680>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0720>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb07c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0860>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0900>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb09a0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0a40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0ae0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0b80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0c20>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0cc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0d60>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0e00>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0ea0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0f40>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb1080>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb0fe0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb1120>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb11c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f4172cb1260>)]
name: str = 'fr_HOCCN'
